Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.hups
Class PaddedPointSet

    java.lang.Object
      umontreal.iro.lecuyer.hups.PointSet
          umontreal.iro.lecuyer.hups.PaddedPointSet

    public class PaddedPointSet

extends PointSet

This container class realizes padded point sets, constructed by taking some coordinates from a point set P1, other coordinates from a point set P2, and so on. This can be used to implement latin supercube sampling, for example. After calling the constructor to create the structure, component point sets can be padded to it by calling `padPointSet` or `padPointSetPermute`.

Only sets with the same number of points can be padded. Point sets with too many points or coordinates can be trimmed down by using the class `SubsetOfPointSet` before they are padded. Infinite-dimensional point sets are allowed, but once one is padded, no additional point set can be padded.

The points of each padded set can be permuted randomly, independently across the padded sets. If such a random permutation is desired, the point set should be padded via `padPointSetPermute`. When calling `randomize`, random permutations are generated for all point sets that have been padded by `padPointSetPermute`.

Constructor Summary
`PaddedPointSet(int maxPointSets)` Constructs a structure for padding at most `maxPointSets` point sets.

Method Summary
`double` | `getCoordinate(int i, int j)` Returns ui, j, the coordinate j of the point i.
`PointSetIterator` | `iterator()` Constructs and returns a point set iterator.
`void` | `padPointSet(PointSet P)` Pads the point set `P` to the present structure.
`void` | `padPointSetPermute(PointSet P)` Pads the point set `P`, which is assumed to be finite.
`void` | `randomize(RandomStream stream)` By default, this method simply calls `addRandomShift(stream)`.
`String` | `toString()` Formats a string that contains the information about the point set.
`void` | `unrandomize()` By default, this method simply calls `clearRandomShift()`.

Methods inherited from class umontreal.iro.lecuyer.hups.PointSet
`addRandomShift, addRandomShift, addRandomShift, addRandomShift, clearRandomShift, formatPoints, formatPoints, getDimension, getNumPoints, getStream, randomize, randomize, randomize, randomize, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PaddedPointSet

    public PaddedPointSet(int maxPointSets)

  Constructs a structure for padding at most `maxPointSets` point sets. This structure is initially empty and will eventually contain the different point sets that are padded.

  Parameters:
    `maxPointSets` - maximum number of point sets authorized by the constructed object

Method Detail

### padPointSet

    public void padPointSet(PointSet P)

  Pads the point set `P` to the present structure.

  Parameters:
    `P` - point set being padded

### padPointSetPermute

    public void padPointSetPermute(PointSet P)

  Pads the point set `P`, which is assumed to be finite. A random permutation will be generated (when calling `randomize`) and used to access the coordinates taken from the points of `P` (i.e., these points are randomly permuted).

  Parameters:
    `P` - point set being padded

### getCoordinate

    public double getCoordinate(int i,
                                int j)

  Description copied from class: `PointSet`
  Returns ui, j, the coordinate j of the point i.

  Specified by:
    `getCoordinate` in class `PointSet`
  Parameters:
    `i` - index of the point to look for
    `j` - index of the coordinate to look for
  Returns:
    the value of ui, j

### unrandomize

    public void unrandomize()

  Description copied from class: `PointSet`
  By default, this method simply calls `clearRandomShift()`.

  Overrides:
    `unrandomize` in class `PointSet`

### randomize

    public void randomize(RandomStream stream)

  Description copied from class: `PointSet`
  By default, this method simply calls `addRandomShift(stream)`.

  Overrides:
    `randomize` in class `PointSet`

### iterator

    public PointSetIterator iterator()

  Description copied from class: `PointSet`
  Constructs and returns a point set iterator. The default implementation returns an iterator that uses the method `getCoordinate` `(i,j)` to iterate over the points and coordinates, but subclasses can reimplement it for better efficiency.

  Overrides:
    `iterator` in class `PointSet`
  Returns:
    point set iterator for the point set

### toString

    public String toString()

  Description copied from class: `PointSet`
  Formats a string that contains the information about the point set.

  Overrides:
    `toString` in class `PointSet`
  Returns:
    string representation of the point set information

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.